// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019,2020, 2021, Donald Dugger
//

class Constants
{

constructor()
{
	this.VER_MAJOR       = 5;
	this.VER_MINOR_SENSE = "010";      // Sense
	this.VER_MINOR_IONIC = "011";      // Ionic

	this.TZ_TIMER     = -5;
	this.TZ_LOCAL1    = -4;
	this.TZ_CUSTOM1   = -3;
	this.TZ_NONE2     = -2;
	this.TZ_CUSTOM2   = -1;

	this.TZ_HEADER  = -2;
	this.TZ_NONE    = -1;

	this.TZ_TILE1   = 1;
	this.TZ_TILE2   = 2;

	this.TZ_CUST1_IDX     = 34;
	this.TZ_CUST2_IDX     = 35;
	this.TZ_TIMER_IDX     = 36;
	this.TZ_COUNTDOWN_IDX = 37;
	this.TZ_ARIZONA_IDX   = 38;

	this.TIMER_UP   = 0;
	this.TIMER_DOWN = 1;
}

}

export default Constants;
